
cd C:\LSA21

*female
use dta\LSA21wave1female.dta,clear
gen d_female=1
gen d_male=0
gen wave=1
gen year=2002
do do_file\rename1_female.do
drop v*

rename f5 id_area1
rename f6 id_area2
rename f7 fam_id
rename f8 id_sur_c

*地区番号、世帯番号などに基づき,id番号を作成する
gen id_area1_b=id_area1*10000
gen id_area2_b=id_area2*1000
gen fam_id_b=fam_id*10
gen double id=id_area1_b+id_area2_b+fam_id_b+id_f
gen double id_c=id_area1_b+id_area2_b+fam_id_b+id_sur_c

drop id_area1_b id_area2_b fam_id_b 

format id id_c %12.0g
sort id id_c
sum id id_c

save dta\wave1_female2.dta,replace

* female_sp
************************************************
use dta\LSA21wave1female_sp.dta,clear
gen d_female_sp=1
gen d_male_sp=0
gen wave=1
gen year=2002
do do_file\rename1_female_sp.do
drop v*

rename f5 id_area1
rename f6 id_area2
rename f7 fam_id

*地区番号、世帯番号などに基づき,id番号を作成する
gen id_area1_b=id_area1*10000
gen id_area2_b=id_area2*1000
gen fam_id_b=fam_id*10

*該当者番号は配偶者のID
*gen double id=id_area1_b+id_area2_b+fam_id_b+id_sur_c
gen double id_c=id_area1_b+id_area2_b+fam_id_b+id_f

sum id_c

drop id_area1_b id_area2_b fam_id_b 
format id_c %12.0g 
sort id_c 

sum id_c
save dta\wave1_female_sp2.dta,replace

*male
************************************************
use dta\LSA21wave1male.dta,clear
gen d_male=1
gen d_female=0
gen wave=1
gen year=2002
do do_file\rename1_male.do
drop v*

rename m5 id_area1
rename m6 id_area2
rename m7 fam_id
rename m8 id_sur_c

*地区番号、世帯番号などに基づき,id番号を作成する
gen id_area1_b=id_area1*10000
gen id_area2_b=id_area2*1000
gen fam_id_b=fam_id*10
gen double id=id_area1_b+id_area2_b+fam_id_b+id_m
gen double id_c=id_area1_b+id_area2_b+fam_id_b+id_sur_c
sum id id_c
drop id_area1_b id_area2_b fam_id_b 
format id id_c %12.0g 
sort id id_c
save dta\wave1_male2.dta,replace

*male_sp
************************************************
use dta\LSA21wave1male_sp.dta,clear
gen d_male_sp=1
gen d_female_sp=0
gen wave=1
gen year=2002
do do_file\rename1_male_sp.do
drop v*

rename m5 id_area1
rename m6 id_area2
rename m7 fam_id
rename m8 id_sur_c

*地区番号、世帯番号などに基づき,id番号を作成する
gen id_area1_b=id_area1*10000
gen id_area2_b=id_area2*1000
gen fam_id_b=fam_id*10

*該当者番号は配偶者本人の番号
*gen double id=id_area1_b+id_area2_b+fam_id_b+id_sur_c
gen double id_c=id_area1_b+id_area2_b+fam_id_b+id_m
drop id_area1_b id_area2_b fam_id_b 

format id_c %12.0g 
sort id_c
sum id_c
save dta\wave1_male_sp2.dta,replace

************************************************
*merge
************************************************
*wave1女性調査対象者とその配偶者をmerge
use dta\wave1_female2.dta,clear
drop if id_c==.
sort id_c
merge 1:1 id_c using dta\wave1_male_sp2.dta
tab _merge
drop if _merge==1
drop _merge
sort id
*browse wave d_female_sp id_c
save dta\wave1_male_sp3.dta,replace

use dta\wave1_female2.dta,clear
do do_file\drop_wave1_male_sp.do
sort id
append using dta\wave1_male_sp3.dta
sum id
save dta\wave1_female3.dta,replace


*wave1男性調査対象者とその配偶者をmerge
use dta\wave1_male2.dta,clear
drop if id_c==.
sort id_c
merge 1:1 id_c using dta\wave1_female_sp2.dta
tab _merge
drop if _merge==1
drop _merge
sort id_c
*browse wave d_female_sp id_c
save dta\wave1_female_sp3.dta,replace

use dta\wave1_male2.dta,clear
do do_file\drop_wave1_female_sp.do
sort id
append using dta\wave1_female_sp3.dta
sum id
save dta\wave1_male3.dta,replace


*wave1女性調査対象者と男性調査対象者をappend
append using dta\wave1_female3.dta
sort id
save dta\wave1.dta,replace
sum id

replace id_c=. if d_female_sp==.
************************************************
gen group=0 if id_c!=.
*女性票でmergeできたサンプル=1
replace group=1 if d_female==1&d_female_sp==0
*男性票でmergeできたサンプル=2
replace group=2 if d_female_sp==1&d_female==0

tab group
tab d_female_sp group
sort id
save,replace

erase dta\wave1_female2.dta
erase dta\wave1_female_sp2.dta
erase dta\wave1_male2.dta
erase dta\wave1_male_sp2.dta
erase dta\wave1_female3.dta
erase dta\wave1_male3.dta
erase dta\wave1_female_sp3.dta
erase dta\wave1_male_sp3.dta




