
cd C:\LSA21


/*  f/m12
1 	１：女性票
2 	２：男性票
3 	３：配偶者票（女性用）
4 	４：配偶者票（男性用）
*/

************************************************
*wave5 female
************************************************
use dta\LSA21wave5.dta,clear
*女性票だけを残す
gen d_female=1
gen d_male=0
gen wave=5
gen year=2006
do do_file\rename5_female.do
drop v*
drop if f11!=1
rename f5 id_area1
rename f6 id_area2
rename f7 fam_id

*地区番号、世帯番号などに基づき,id番号を作成する
gen id_area1_b=id_area1*10000
gen id_area2_b=id_area2*1000
gen fam_id_b=fam_id*10
*調査対象者ID
gen double id=id_area1_b+id_area2_b+fam_id_b+id_f
*配偶者ID
gen double id_c=id_area1_b+id_area2_b+fam_id_b+id_m
*世帯ID
gen double id2=id_area1_b+id_area2_b+fam_id_b

drop id_area1_b id_area2_b fam_id_b 
format id id2 %12.0g
sort id id2
save dta\wave5_female2.dta,replace

************************************************
*wave5 female_sp
************************************************
use dta\LSA21wave5.dta,clear
*女性票だけを残す
gen d_female_sp=1
gen d_male_sp=0
gen wave=5
gen year=2006
do do_file\rename5_female.do
drop v*
drop if f11!=3
rename f5 id_area1
rename f6 id_area2
rename f7 fam_id

*地区番号、世帯番号などに基づき,id番号を作成する
gen id_area1_b=id_area1*10000
gen id_area2_b=id_area2*1000
gen fam_id_b=fam_id*10

*調査対象者ID
gen double id=id_area1_b+id_area2_b+fam_id_b+id_m
*配偶者ID
gen double id_c=id_area1_b+id_area2_b+fam_id_b+id_f
*世帯ID
gen double id2=id_area1_b+id_area2_b+fam_id_b

drop id_area1_b id_area2_b fam_id_b 
format id_c id2 %12.0g
sort id_c id2
gen group=0
save dta\wave5_female_sp2.dta,replace

************************************************
*wave5 male
************************************************
use dta\LSA21wave5.dta,clear
gen d_male=1
gen d_female=0
gen wave=5
gen year=2006
do do_file\rename5_male.do
drop v*
drop if m11!=2
rename m5 id_area1
rename m6 id_area2
rename m7 fam_id

*地区番号、世帯番号などに基づき,id番号を作成する
gen id_area1_b=id_area1*10000
gen id_area2_b=id_area2*1000
gen fam_id_b=fam_id*10

*調査対象者ID
gen double id=id_area1_b+id_area2_b+fam_id_b+id_m
*配偶者ID
gen double id_c=id_area1_b+id_area2_b+fam_id_b+id_f
*世帯ID
gen double id2=id_area1_b+id_area2_b+fam_id_b

drop id_area1_b id_area2_b fam_id_b 
format id  id2 %12.0g
sort id id2
save dta\wave5_male2.dta,replace


************************************************
*wave5 male_sp
************************************************
use dta\LSA21wave5.dta,clear
gen d_male_sp=1
gen d_female_sp=0
gen wave=5
gen year=2006
do do_file\rename5_male.do
drop v*
drop if m11!=4
rename m5 id_area1
rename m6 id_area2
rename m7 fam_id

*地区番号、世帯番号などに基づき,id番号を作成する
gen id_area1_b=id_area1*10000
gen id_area2_b=id_area2*1000
gen fam_id_b=fam_id*10

*調査対象者ID
gen double id=id_area1_b+id_area2_b+fam_id_b+id_f
*配偶者ID
gen double id_c=id_area1_b+id_area2_b+fam_id_b+id_m
*世帯ID
gen double id2=id_area1_b+id_area2_b+fam_id_b

drop id_area1_b id_area2_b fam_id_b 
format id_c id2 %12.0g
sort id_c id2
gen group=0
save dta\wave5_male_sp2.dta,replace

************************************************
*merge female
************************************************
*配偶者データありサンプル
use dta\wave5_female2.dta,clear
drop if id_c==.
save dta\wave5_female2a.dta,replace

*配偶者データなしサンプル
use dta\wave5_female2.dta,clear
drop if id_c!=. 
save dta\wave5_female2b.dta,replace

*配偶者のみデータ
use dta\wave5_male_sp2.dta,clear
drop if id!=.
save dta\wave5_male_sp2b.dta,replace

*merge
use dta\wave5_male_sp2.dta,clear
drop if id==.
merge 1:1 id using dta\wave5_female2a.dta
tab _merge
append using dta\wave5_female2b.dta
append using dta\wave5_male_sp2b.dta

save dta\wave5_female.dta,replace

************************************************
*merge male
************************************************
*配偶者データありサンプル
use dta\wave5_male2.dta,clear
drop if id_c==.
save dta\wave5_male2a.dta,replace

*配偶者データなしサンプル
use dta\wave5_male2.dta,clear
drop if id_c!=. 
save dta\wave5_male2b.dta,replace

*配偶者のみデータ
use dta\wave5_female_sp2.dta,clear
drop if id!=.
save dta\wave5_female_sp2b.dta,replace

*merge
use dta\wave5_female_sp2.dta,clear
drop if id==.
merge 1:1 id using dta\wave5_male2a.dta
tab _merge
append using dta\wave5_male2b.dta
append using dta\wave5_female_sp2b.dta
save dta\wave5_male.dta,replace
append using dta\wave5_female.dta

*女性票でmergeできたサンプル=1
replace group=1 if d_female==1&d_female_sp==0
*男性票でmergeできたサンプル=2
replace group=2 if d_female_sp==1&d_female==0

tab group
tab d_female_sp group
tab d_female
replace id_c=. if group==.
replace id_f=. if d_female==0&group==.
replace id_m=. if d_female==1&group==.
drop _merge
save dta\wave5.dta,replace

erase dta\wave5_female2.dta
erase dta\wave5_female2a.dta
erase dta\wave5_female2b.dta
erase dta\wave5_female_sp2.dta
erase dta\wave5_female_sp2b.dta
erase dta\wave5_male2.dta
erase dta\wave5_male2a.dta
erase dta\wave5_male2b.dta
erase dta\wave5_male_sp2.dta
erase dta\wave5_male_sp2b.dta
erase dta\wave5_female.dta
erase dta\wave5_male.dta









